#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1
%define module skanpage

Summary:        Utility to scan images and multi-page documents
Name:           skanpage
Version: 23.04.1
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://apps.kde.org/skanpage/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{module}-%{version}.tar.xz
Patch0:         skanpage-set-CMAKE_CXX_FLAGS.patch

BuildRequires:  kf5-macros
BuildRequires:  gettext-devel

BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5QmlModels)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5PrintSupport)
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Xml)

BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Purpose)
BuildRequires:  cmake(KF5Sane)

BuildRequires:  pkgconfig(lept)
BuildRequires:  pkgconfig(tesseract)

%description
Skanpage is a simple scanning application designed for multi-page
scanning and saving of documents and images.

Features:

  ° Scanning from flatbed and ADF scanners
  ° Configurable options for scanning device
  ° Reordering, rotation and deletion of scanned pages
  ° Saving to multi-page PDF documents and image files

%files -f %{name}.lang
%{_kf5_categoriesdir}/%{name}.categories
%{_kf5_bindir}/%{name}
%{_kf5_applicationdir}/org.kde.%{name}.desktop
%{_kf5_iconsdir}/hicolor/*/apps/%{name}.png
%{_kf5_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml

#--------------------------------------------------------------------

%prep
%setup -q -n %module-%version
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %name


%changelog
* Fri May 26 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958297
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946609
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941902
- New version 22.12.2

* Wed Feb 01 2023 ghibo <ghibo> 22.12.0-2.mga9
+ Revision: 1937274
- Rebuild against libleptonica6

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1923024
- New version 22.12.0

* Wed Nov 30 2022 daviddavid <daviddavid> 22.11.90-2.mga9
+ Revision: 1913429
- enable Tesseract and Leptonica support

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911518
- New version 22.11.90

* Sun Nov 13 2022 daviddavid <daviddavid> 22.08.3-2.mga9
+ Revision: 1906938
- update Url and Source Url
- update description

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905369
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1887284
- New version 22.08.1

* Tue Aug 30 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1882375
- New version 22.08.0

* Tue Aug 02 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1874559
- imported package skanpage

